# PROFILING BUDDY

Profiling Panel in Modifier stack

Forked from Simon Thommes [random-blender-scripts](https://gitlab.com/simonthommes/random-blender-scripts/-/tree/master/addons/profiling_buddy?ref_type=heads)


<!-- TABLE OF CONTENTS -->
***
<summary>Table of Contents</summary>
<ol>
<li>
    <a href="#installation">Installation</a>
</li>
<li>
    <a href="#contents">Contents</a>
    <ul>
        <li><a href="#templates">Templates</a></li>
    </ul>
</li>
<li>
    <a href="#settings">Settings</a>
    <ul>
        <li><a href="#branches">Branches</a></li>
    </ul>
</li>
</ol>


<!-- INSTALLATION -->
## Installation

1. Create your own local directory in 
    ```sh
   /home/<USER>/dev
   ```
2. Create your own local directory in 
    ```sh
   git clone ssh://git@git.autourdeminuit.com:222/autour_de_minuit/profiling_buddy.git
   ```

<!-- CONTENTS -->
## Contents

### Templates

- *ISSUE_TEMPLATE.yml*: a yaml template for ticket creation
- *PULL_REQUEST_TEMPLATE.md*: a file used for PR creation

<!-- SETTINGS -->
## Settings
Those seetings from gitlab will be populated to each repository created with this template

### Branches

The main branch is **master**.
It's a **protected branch refusing pushing** from any users who is not a Owner.
In other words you have to create you own developping branch and then create a push request. After at least **one validation**, you will be able to push you branch to the master one.
